// (c) MIT 2003.  All rights reserved.

// -*-Mode: Java-*- 
// $Id: LeaveAnnotationModeRecognizer.java,v 1.3 2003/03/06 00:40:49 moltmans Exp $
// LeaveAnnotationModeRecognizer.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Sun Mar 19 22:11:04 2000> 
// Time-stamp: <2000-05-11 18:14:27 moltmans> 
package rec.annotate.recognizers;

import rec.core.speech.*;
import rec.util.*;
import rec.sys.*;

public class LeaveAnnotationModeRecognizer
  extends SimpleUtteranceRecognizer
{

  public LeaveAnnotationModeRecognizer()
  {
    super( "leave_annotation_mode" );
  }

  public void performAction( Surface s, Object arg )
  {
    s.enterEditMode( EditModeManager.DEFAULT_MODE );
    //    PhraseIO.say( "Welcome to Annotation Mode" );
  }

  public void performUndo( Surface s, Object arg )
  {
    //    s.leaveEditMode( "Annotation" );
    s.enterEditMode( "Annotation" );
  }

}
